<div class="ui secondary  menu">
    <a class="{{ home }} item" href="/">
        Home
    </a>

    {{# if username_or_empty }}
        <a class="{{ new_build }} item" id="new_build" href="/new-build">
            New Build
        </a>
        <a class="{{ all_builds }} item" id="load_build">
            Load Build
        </a>
        <div class="right menu">
            <a class="ui item {{ donate }}" href="/donate">
                Donate
            </a>
            <a class="ui item {{ about }}" href="/about">
                About
            </a>
            <a class="ui item {{ profile }}" href="/profile">
                Profile
            </a>
            <a class="ui item {{ logout }}" id="logout">
                Logout
            </a>
        </div>
    {{ else }}
        <button class="{{ new_build }} disabled item ui" data-tooltip="Login to access" data-position="bottom center">
            New Build
        </button>
        <button class="{{ all_builds }} disabled item ui" data-tooltip="Login to access" data-position="bottom center">
            Load Build
        </button>
        <div class="right menu">
            <a class="ui item {{ donate }}" href="/donate">
                Donate
            </a>
            <a class="ui item {{ about }}" href="/about">
                About
            </a>
             <a class="ui item {{ signup }}" id="signup">
                Signup
            </a>
            <a class="ui item {{ login }}" id="login">
                Login
            </a>
        </div>
    {{/if }}
</div>

{{> user/_signup_modal }}
{{> user/_build_modal }}

<script>
    $(function() {
        $("#logout").on('click', () =>{
            $.post("/logout").done(() => {
                swal({text: "Successfully logged out.", icon: 'success'}).then(value => {
                    location.reload();
                });
                swal_button("green");
            }).fail(() => {
                swal({text: "Failed log out.", icon: 'error'});
                swal_button("red");
            });
        });

        $("#new_build").on('click', () => {
            bodyUnload();
            $("#loading h1").text("Fetching WoW Spells & Talents")
        });

        $("#load_build").on('click', function() {
            $('#build_modal').modal('show');
        });
    });
</script>


